export type PDFAttachmentViewerOptions = {
    /**
     * - The viewer element.
     */
    container: HTMLDivElement;
    /**
     * - The application event bus.
     */
    eventBus: any;
    /**
     * - The download manager.
     */
    downloadManager: any;
};
export type PDFAttachmentViewerRenderParameters = {
    /**
     * - A lookup table of attachment objects.
     */
    attachments: Object | null;
};
/**
 * @typedef {Object} PDFAttachmentViewerOptions
 * @property {HTMLDivElement} container - The viewer element.
 * @property {EventBus} eventBus - The application event bus.
 * @property {DownloadManager} downloadManager - The download manager.
 */
/**
 * @typedef {Object} PDFAttachmentViewerRenderParameters
 * @property {Object|null} attachments - A lookup table of attachment objects.
 */
export class PDFAttachmentViewer extends BaseTreeViewer {
    /**
     * @param {PDFAttachmentViewerOptions} options
     */
    constructor(options: PDFAttachmentViewerOptions);
    downloadManager: any;
    _attachments: Object | null | undefined;
    _renderedCapability: any;
    _pendingDispatchEvent: any;
    /**
     * NOTE: Should only be used when `URL.createObjectURL` is natively supported.
     * @private
     */
    private _bindPdfLink;
    /**
     * Used to append FileAttachment annotations to the sidebar.
     * @private
     */
    private _appendAttachment;
}
import { BaseTreeViewer } from "./base_tree_viewer.js";
//# sourceMappingURL=pdf_attachment_viewer.d.ts.map